MEMCACHED_SET_USER_DATA(3)

NAME
memcached_set_user_data - libmemcached Documentation

Manage user specific data

LIBRARY

C Client Library for memcached (libmemcached, -lmemcached)

SYNOPSIS

#include <libmemcached/memcached.h>

    void *memcached_get_user_data(memcached_st *ptr)

    void *memcached_set_user_data(memcached_st *ptr, void *data)

Compile and link with -lmemcached

DESCRIPTION

libmemcached(3) allows you to store a pointer to a user specific data inside the memcached_st structure.

memcached_set_user_data() is used to set the user specific data in the memcached_st structure.

memcached_get_user_data() is used to retrieve the user specific data in the memcached_st structure.

RETURN

memcached_set_user_data() returns the previous value of the user specific data.

memcached_get_user_data() returns the current value uf the user specific data.

HOME

To find out more information please check: http://libmemcached.org/

SEE ALSO

memcached(1) libmemcached(3)

AUTHOR
Brian Aker

COPYRIGHT
2011-2013, Brian Aker DataDifferential, http://datadifferential.com/